# UniTAP.dev.dev_5xx_roles

class UCD500:

Class `UCD500` describes of device UCD-500. Device has one possible role:

- 'DisplayPort Source and Sink' `DPSourceDPSink`.
- 'DisplayPort Source and USB-C, DP Alt Mode Sink' `DPSourceUSBCSink`.
- 'DisplayPort Sink and USB-C, DP Alt Mode Source' `USBCSourceDPSink`.
- 'USB-C, DP Alt Mode Source and Sink' `USBCSourceUSBCSink`.

ROLE_DICT = {'DisplayPort Source and Sink': <class 'UCD500.DPSourceDPSink'>, 'DisplayPort Source and USB-C, DP Alt Mode Sink': <class 'UCD500.DPSourceUSBCSink'>, 'DisplayPort Sink and USB-C, DP Alt Mode Source': <class 'UCD500.USBCSourceDPSink'>, 'USB-C, DP Alt Mode Source and Sink': <class 'UCD500.USBCSourceUSBCSink'>}
class UCD500.DPSourceDPSink:

Class `DPSourceDPSink` contains information of available functionality modules for role DP Sink (RX - receiver) and DP Source (TX - transmitter) roles:

- `DPRX5xx`.
- `DPTX5xx`.
- `DUTTests`.

UCD500.DPSourceDPSink( dev_io: UniTAP.libs.lib_tsi.tsi_io.DeviceIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
dprx: UniTAP.dev.ports.dprx5xx.DPRX5xx

Returns DP Sink (RX - receiver) role.

###### Returns:

> object of DPRX5xx type.

dptx: UniTAP.dev.ports.dptx5xx.DPTX5xx

Returns DP Source (TX - transmitter) role.

###### Returns:

> object of DPTX5xx type.

dut_tests: UniTAP.dev.modules.dut_tests.dut_tests.DUTTests

Returns DUT Test module.

###### Returns:

> object of DUTTests type.

name: str

Returns name of role.

###### Returns:

> object of str type.

class UCD500.DPSourceUSBCSink:
UCD500.DPSourceUSBCSink( dev_io: UniTAP.libs.lib_tsi.tsi_io.DeviceIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
dprx: UniTAP.dev.ports.dprx5xx.DPRX5xx

Returns DP Sink (RX - receiver) role.

###### Returns:

> object of DPRX5xx type.

dptx: UniTAP.dev.ports.dptx5xx.DPTX5xx

Returns DP Source (TX - transmitter) role.

###### Returns:

> object of DPTX5xx type.

pdcrx: UniTAP.dev.ports.pdc_port.PDC500

Returns PDC Sink (RX - receiver) role.

###### Returns:

> object of `PDC500` type.

dut_tests: UniTAP.dev.modules.dut_tests.dut_tests.DUTTests

Returns DUT Test module.

###### Returns:

> object of DUTTests type.

name: str

Returns name of role.

###### Returns:

> object of str type.

class UCD500.USBCSourceDPSink:
UCD500.USBCSourceDPSink( dev_io: UniTAP.libs.lib_tsi.tsi_io.DeviceIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
dprx: UniTAP.dev.ports.dprx5xx.DPRX5xx

Returns DP Sink (RX - receiver) role.

###### Returns:

> object of DPRX5xx type.

dptx: UniTAP.dev.ports.dptx5xx.DPTX5xx

Returns DP Source (TX - transmitter) role.

###### Returns:

> object of DPTX5xx type.

pdctx: UniTAP.dev.ports.pdc_port.PDC500

Returns PDC source (TX - transmitter) role.

###### Returns:

> object of `PDC500` type.

dut_tests: UniTAP.dev.modules.dut_tests.dut_tests.DUTTests

Returns DUT Test module.

###### Returns:

> object of DUTTests type.

name: str

Returns name of role.

###### Returns:

> object of str type.

class UCD500.USBCSourceUSBCSink:
UCD500.USBCSourceUSBCSink( dev_io: UniTAP.libs.lib_tsi.tsi_io.DeviceIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
dprx: UniTAP.dev.ports.dprx5xx.DPRX5xx

Returns DP Sink (RX - receiver) role.

###### Returns:

> object of DPRX5xx type.

dptx: UniTAP.dev.ports.dptx5xx.DPTX5xx

Returns DP Source (TX - transmitter) role.

###### Returns:

> object of DPTX5xx type.

pdcrx: UniTAP.dev.ports.pdc_port.PDC500

Returns PDC Sink (RX - receiver) role.

###### Returns:

> object of `PDC500` type.

pdctx: UniTAP.dev.ports.pdc_port.PDC500

Returns PDC source (TX - transmitter) role.

###### Returns:

> object of `PDC500` type.

dut_tests: UniTAP.dev.modules.dut_tests.dut_tests.DUTTests

Returns DUT Test module.

###### Returns:

> object of DUTTests type.

name: str

Returns name of role.

###### Returns:

> object of str type.